<?php
namespace SabaiApps\Directories\Component\Fieldset\EntityType;

use SabaiApps\Directories\Component\WordPressContent\EntityType\PostEntityType;

class WordPressFieldsetEntityType extends PostEntityType {

	protected function _entityTypeInfo() {
		return array(
			'label' => __( 'Fieldset', 'directories-pro' ),
		) + parent::_entityTypeInfo();
	}

	protected function _toEntity( $post ) {
		return new WordPressFieldsetEntity( $post );
	}
}
